Bug 742407 - broken obsoletes/provides in ghc-7.0.2-16.4.fc15
Summary: broken obsoletes/provides in ghc-7.0.2-16.4.fc15
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-rpm-macros
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-30 02:30 UTC by Henrik Nordström
Modified: 2011-10-22 08:29 UTC (History)
2 users (show)

Fixed In Version: ghc-rpm-macros-0.10.60-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-09 06:51:26 UTC
Type: ---


Attachments (Terms of Use)

Description Henrik Nordström 2011-09-30 02:30:33 UTC
Upgrade path is broken in 7.0.2-16.4 with incorrect Obsoletes/Provides version for ghc-ghc-prof.

$ rpm -q --obsoletes -p ghc-ghc-devel-7.0.2-16.4.fc15.armv7hl.rpm 
ghc-bin-package-db-devel < 0.0.0.0-12
ghc-bin-package-db-doc < 0.0.0.0-12
ghc-ghc-doc < 1.2.0.0-16.4.fc15
ghc-ghc-prof < 1.2.0.0-16.4.fc15


$ rpm -q --provides -p ghc-ghc-devel-7.0.2-16.4.fc15.armv7hl.rpm 
ghc-ghc-doc = 1.2.0.0-16.4.fc15
ghc-ghc-prof = 1.2.0.0-16.4.fc15
ghc-devel(bin-package-db-0.0.0.0) = e86c581904632f5084612b2c44e864c2
ghc-prof(bin-package-db-0.0.0.0) = e86c581904632f5084612b2c44e864c2
ghc-devel(ghc-7.0.2) = 253ed4ef7b87a1028456cdca91abec62
ghc-prof(ghc-7.0.2) = 253ed4ef7b87a1028456cdca91abec62
ghc-devel(ghc-binary-0.5.0.2) = e9978006ac26c33e0a436ac790faffe0
ghc-prof(ghc-binary-0.5.0.2) = e9978006ac26c33e0a436ac790faffe0
ghc-ghc-devel = 7.0.2-16.4.fc15
ghc-ghc-devel(armv7hl-32) = 7.0.2-16.4.fc15

Comment 1 Henrik Nordström 2011-09-30 02:34:25 UTC
Tried to figure out how that version ends up there, but can't even penetrate the rpm macro jungle to figure out how the ghc-ghc-devel package is defined.

Comment 2 Jens Petersen 2011-09-30 05:16:40 UTC
It was a simple bug in ghc-rpm-macros, where %ghc_package_devel
was reference %version instead of %pkg_ver for the prof and doc
obsoletes and provides.

Fixed in ghc-rpm-macros-0.13.11.

Comment 3 Fedora Update System 2011-09-30 05:37:39 UTC
ghc-rpm-macros-0.13.11-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.13.11-1.fc15

Comment 4 Fedora Update System 2011-09-30 05:37:48 UTC
ghc-rpm-macros-0.10.60-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.10.60-1.fc14

Comment 5 Fedora Update System 2011-09-30 05:38:00 UTC
ghc-rpm-macros-0.13.11-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.13.11-1.fc16

Comment 6 Jens Petersen 2011-09-30 08:16:34 UTC
This should be fixed in ghc-7.0.4-31.fc16 and ghc-7.0.2-16.5.fc15.

Comment 7 Fedora Update System 2011-09-30 19:36:19 UTC
Package ghc-rpm-macros-0.13.11-1.fc16, ghc-7.0.4-31.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-rpm-macros-0.13.11-1.fc16 ghc-7.0.4-31.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.13.11-1.fc16,ghc-7.0.4-31.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-10-03 01:18:00 UTC
ghc-7.0.2-16.5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/FEDORA-2011-13443

Comment 9 Henrik Nordström 2011-10-05 09:46:04 UTC
ghc-7.0.2-16.5.fc15 seems fine.

Comment 10 Fedora Update System 2011-10-09 06:51:26 UTC
ghc-rpm-macros-0.13.11-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-10-09 19:33:07 UTC
ghc-rpm-macros-0.13.11-1.fc16, ghc-7.0.4-31.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-10-13 23:51:39 UTC
ghc-7.0.2-16.5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-10-22 08:29:23 UTC
ghc-rpm-macros-0.10.60-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.